=== debian/changelog ===
ygl (4.2e-7) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Fix building with GCC 15.
  * Fix building twice in a row.  (Closes: #1046077)
  * Drop redundant Rules-Requires-Root: no.

  [ Pablo Lucas Silva Santos ]
  * Fix X11/Xlib.h inclusion detection.  (Closes: #1075698)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 27 Sep 2025 18:11:26 +0200

ygl (4.2e-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063304

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 08:11:50 +0000

ygl (4.2e-6) unstable; urgency=medium

  * QA upload.
  * Add diff as patch in d/patches
    + Avoid patching in heaps, the Makefile
      rather generate them from xmkmf
  * Modernize copyr
  * debian/source/format: 3.0 (quilt) (Closes: #1007483)
  * d/control:
    + Drop compat file, rely on debhelper-compat
      and bump compat level to 13
    + Bump Standards-Version to 4.6.1 (no changes needed)
    + Add "Rules-Requires-Root: no"
    + Format with cme
    + Add ${misc:Depends} for libdevel pkg
    + Update desc to not start with article
    + Remove trailing whitespaces fron d/control and d/ch
    + Move package to salsa, add VCS URLs
    + Un-duplicate short desc
    + Remove section libs for libygl4 - take benefit of
      inheritance rules
  * Remove useless d/dirs
  * d/rules: Add ffile-prefix-map compiler flag in PROJECT_DEFINES
    to avoid embedding the build path (Closes: #1014560)
  * Add d/salsa-ci.yml
    + Disable blhc check in d/salsa-ci.yml
  * Add autopkgtests
  * Add fake watch file

 -- Nilesh Patra <nilesh@debian.org>  Mon, 15 Aug 2022 12:01:49 +0530

ygl (4.2e-5) unstable; urgency=medium

  * QA upload.
    + No maintainer upload noticed since initial release
    + The only uploader of this package has retired, hence orphan
      this package
  * Switch to debhelper version 8 (Closes: #965912)
  * Modernize d/rules, remove archaic stuff (Closes: #999094, #997432)
  * Use libygl4-dev.examples to install examples
  * d/README.Debian: Do not attempt to build examples needing
    escalated permissions

 -- Nilesh Patra <nilesh@debian.org>  Mon, 31 Jan 2022 19:32:12 +0530

ygl (4.2e-4) unstable; urgency=low

  * fixed a typo (Ygl instead of ygl) in the debian/watch file.
  * changed the description a bit.
  * changes debian/control to reflect the new Standards-Version.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Sun, 28 Jun 2009 09:57:08 +0530

ygl (4.2e-3) unstable; urgency=low

  * debian/control: added xbitmaps as build-dependency.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Sun, 13 Jan 2008 11:44:13 +0530

ygl (4.2e-2) unstable; urgency=low

  * debian/control: added libglu1-mesa-dev as build-dependency. This
  should fix the buildd errors.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Sun, 13 Jan 2008 11:19:23 +0530

ygl (4.2e-1) unstable; urgency=low

  * Initial release (Closes: #457208)

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Wed, 12 Dec 2007 22:16:33 +0530
