=== debian/control ===
Source: ygl
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: libs
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
               xutils-dev,
               libgl-dev,
               libxext-dev,
               libglu1-mesa-dev,
               xbitmaps
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian/ygl
Vcs-Git: https://salsa.debian.org/debian/ygl.git

Package: libygl4-dev
Architecture: any
Section: libdevel
Depends: libygl4t64 (= ${binary:Version}),
         ${misc:Depends}
Description: Graphics library that emulates SGI's GL routines under X11 (headers)
 Ygl is an graphics library that emulates the routines of SGI's GL (sometimes
 called IRIS GL). Please note that GL is different from OpenGL.  Ygl is very
 simple to use, and very fast. The 2D routines are built around the standard
 X11 libraries and reported to be faster than GL itself.  This release will
 also work with FORTRAN code and has been built with 3D support.  The library
 therefore requires the use of the OpenGL libraries.
 .
 This package provides the development files.

Package: libygl4t64
Provides: ${t64:Provides}
Replaces: libygl4
Breaks: libygl4 (<< ${source:Version})
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Graphics library that emulates SGI's GL routines under X11 (lib)
 Ygl is an graphics library that emulates the routines of SGI's GL (sometimes
 called IRIS GL). Please note that GL is different from OpenGL.  Ygl is very
 simple to use, and very fast. The 2D routines are built around the standard
 X11 libraries and reported to be faster than GL itself.  This release will
 also work with FORTRAN code and has been built with 3D support.  The library
 therefore requires the use of the OpenGL libraries.
 .
 This package provides the runtime library.
