=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

execute_before_dh_auto_configure:
	xmkmf -a

override_dh_installexamples:
	cd examples && $(MAKE) clean && rm -f Makefile
	dh_installexamples

override_dh_auto_build:
	dh_auto_build -- PROJECT_DEFINES="-ffile-prefix-map=$(CURDIR)=."
