=== debian/tests/control ===
Tests: run-unit-test
Depends: @, build-essential, xutils-dev
Restrictions: allow-stderr
