=== debian/watch ===
version=4

opts=dversionmangle=s/.*/0.No-Release/ \
  https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz

# Source does not exist anymore
# ftp://ftp.thp.uni-duisburg.de/pub/source/X11/Ygl-(.*)\.tar\.gz debian uupdate
